summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Delaney <idella4@gentoo.org>2015-09-25 21:30:57 +0800
committerIan Delaney <idella4@gentoo.org>2015-09-25 21:45:22 +0800
commit6a35da285748a6e63be662e8d5ee74fa1010b120 (patch)
tree536b4fa68725718c9f698a1be783045ed2767eff /dev-python/flake8
parentdev-python/pyquery: Add dropped version back (diff)
downloadgentoo-6a35da285748a6e63be662e8d5ee74fa1010b120.tar.gz
gentoo-6a35da285748a6e63be662e8d5ee74fa1010b120.tar.bz2
gentoo-6a35da285748a6e63be662e8d5ee74fa1010b120.zip
dev-python/flake8: correction to previous revbump (-2.4.1-r1)
corrective patch submitted via Bug #561394 Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-python/flake8')
-rw-r--r--dev-python/flake8/flake8-2.4.1-r1.ebuild5
1 files changed, 5 insertions, 0 deletions
diff --git a/dev-python/flake8/flake8-2.4.1-r1.ebuild b/dev-python/flake8/flake8-2.4.1-r1.ebuild
index 19f2159c5e3..f94d6396dbc 100644
--- a/dev-python/flake8/flake8-2.4.1-r1.ebuild
+++ b/dev-python/flake8/flake8-2.4.1-r1.ebuild
@@ -21,6 +21,7 @@ RDEPEND=">=dev-python/pyflakes-0.8.1[${PYTHON_USEDEP}]
<dev-python/pyflakes-0.9[${PYTHON_USEDEP}]
>=dev-python/pep8-1.5.7[${PYTHON_USEDEP}]
!=dev-python/pep8-1.6.1[${PYTHON_USEDEP}]
+ !=dev-python/pep8-1.6.2[${PYTHON_USEDEP}]
"
PDEPEND=">=dev-python/mccabe-0.2.1[${PYTHON_USEDEP}]
<dev-python/mccabe-0.4[${PYTHON_USEDEP}]"
@@ -33,6 +34,10 @@ DEPEND="${RDEPEND}
python_prepare_all() {
# This tests requires / assumes this version is already installed.
sed -e 's:test_register_extensions:_&:' -i flake8/tests/test_engine.py || die
+
+ # Gentoo has flake8 support restored in >=pep8-1.6.2-r1.
+ sed -e 's:, != 1.6.2::' -i setup.py || die
+
distutils-r1_python_prepare_all
}